net.sf.jasperreports.engine.export

## Class JRHtmlExporter

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractExporter<RC,C,HtmlExporterOutput,JRHtmlExporterContext>
  - - net.sf.jasperreports.engine.export.AbstractHtmlExporter<JRHtmlReportConfiguration,JRHtmlExporterConfiguration>
    - - net.sf.jasperreports.engine.export.JRHtmlExporter

- All Implemented Interfaces:
    JRExporter<ExporterInput,JRHtmlReportConfiguration,JRHtmlExporterConfiguration,HtmlExporterOutput>, Exporter<ExporterInput,JRHtmlReportConfiguration,JRHtmlExporterConfiguration,HtmlExporterOutput>

  Deprecated.
  Replaced by `HtmlExporter`.

      public class JRHtmlExporter
      extends AbstractHtmlExporter<JRHtmlReportConfiguration,JRHtmlExporterConfiguration>

  Exports a JasperReports document to HTML format. It has character output type and exports the document to a grid-based layout.
  Version:
    $Id: JRHtmlExporter.java 6967 2014-03-11 17:19:59Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `JRHtmlExporter.ExporterContext` Deprecated.
    `protected static interface` | `JRHtmlExporter.StringProvider` Deprecated.

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `JRAbstractExporter.BaseExporterContext, JRAbstractExporter.PageRange`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRHtmlExporter.StringProvider` | `emptyCellStringProvider` Deprecated.
    `protected java.util.Map<java.lang.String,HtmlFont>` | `fontsToProcess` Deprecated.
    `static java.lang.String` | `HTML_EXPORTER_KEY` Deprecated. Replaced by `HtmlExporter.HTML_EXPORTER_KEY`.
    `protected static java.lang.String` | `HTML_EXPORTER_PROPERTIES_PREFIX` Deprecated. Replaced by `HtmlExporter.HTML_EXPORTER_PROPERTIES_PREFIX`.
    `protected boolean` | `hyperlinkStarted` Deprecated.
    `protected java.util.Map<Pair<java.lang.String,java.awt.Rectangle>,java.lang.String>` | `imageMaps` Deprecated.
    `protected ExporterNature` | `nature` Deprecated.
    `protected int` | `pageIndex` Deprecated.
    `static java.lang.String` | `PROPERTY_ACCESSIBLE` Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_ACCESSIBLE`.
    `static java.lang.String` | `PROPERTY_HTML_CLASS` Deprecated. Replaced by `HtmlExporter.PROPERTY_HTML_CLASS`.
    `static java.lang.String` | `PROPERTY_HTML_ID` Deprecated. Replaced by `HtmlExporter.PROPERTY_HTML_ID`.
    `static java.lang.String` | `PROPERTY_IGNORE_HYPERLINK` Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_IGNORE_HYPERLINK`.
    `protected java.util.Map<java.lang.String,java.lang.String>` | `rendererToImagePathMap` Deprecated.
    `protected int` | `reportIndex` Deprecated.
    `protected JRHyperlinkTargetProducerFactory` | `targetProducerFactory` Deprecated.
    `protected int` | `thDepth` Deprecated.
    `protected java.io.Writer` | `writer` Deprecated.

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractHtmlExporter

      `CSS_TEXT_ALIGN_CENTER, CSS_TEXT_ALIGN_JUSTIFY, CSS_TEXT_ALIGN_LEFT, CSS_TEXT_ALIGN_RIGHT, DEFAULT_ZOOM, fontHandler, HTML_VERTICAL_ALIGN_BOTTOM, HTML_VERTICAL_ALIGN_MIDDLE, HTML_VERTICAL_ALIGN_TOP, IMAGE_NAME_PREFIX, IMAGE_NAME_PREFIX_LEGTH, imageHandler, JR_BOOKMARK_ANCHOR_PREFIX, JR_PAGE_ANCHOR_PREFIX, resourceHandler`

    - ### Fields inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `allSelector, crtCompositeConfiguration, crtCompositeItemConfiguration, crtItem, dateFormatCache, EXCEPTION_MESSAGE_KEY_END_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_START_PAGE_INDEX_OUT_OF_RANGE, exporterConfiguration, exporterContext, exporterInput, exporterOutput, filter, itemConfiguration, jasperPrint, jasperReportsContext, noBackcolorSelector, noneSelector, numberFormatCache, parameters, propertiesUtil, PROPERTY_DEFAULT_FILTER_FACTORY, PROPERTY_SUFFIX_DEFAULT_FILTER_FACTORY, styledTextUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRHtmlExporter()` Deprecated.
    `JRHtmlExporter(JasperReportsContext jasperReportsContext)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.awt.Color` | `appendBackcolorStyle(JRExporterGridCell gridCell, java.lang.StringBuffer styleBuffer)` Deprecated.
    `protected boolean` | `appendBorderStyle(JRLineBox box, java.lang.StringBuffer styleBuffer)` Deprecated.
    `protected boolean` | `appendPaddingStyle(JRLineBox box, java.lang.StringBuffer styleBuffer)` Deprecated.
    `protected void` | `endHyperlink()` Deprecated.
    `protected void` | `ensureOutput()` Deprecated.
    `protected void` | `exportFrame(JRPrintFrame frame, JRExporterGridCell gridCell)` Deprecated.
    `protected void` | `exportGenericElement(JRGenericPrintElement element, JRExporterGridCell gridCell, int rowHeight)` Deprecated.
    `protected void` | `exportGrid(JRGridLayout gridLayout, boolean whitePageBackground)` Deprecated.
    `protected void` | `exportImage(JRPrintImage image, JRExporterGridCell gridCell)` Deprecated.
    `protected void` | `exportLine(JRPrintLine line, JRExporterGridCell gridCell)` Deprecated.
    `protected void` | `exportPage(JRPrintPage page)` Deprecated.
    `protected void` | `exportRectangle(JRPrintGraphicElement element, JRExporterGridCell gridCell)` Deprecated.
    `void` | `exportReport()` Deprecated. Performs the export.
    `protected void` | `exportReportToWriter()` Deprecated.
    `protected void` | `exportStyledText(JRPrintText printText, JRStyledText styledText, java.lang.String tooltip)` Deprecated.
    `protected void` | `exportStyledTextRun(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, java.lang.String text, java.lang.String tooltip, java.util.Locale locale, LineSpacingEnum lineSpacing, java.lang.Float lineSpacingSize, float lineSpacingFactor, java.awt.Color backcolor)` Deprecated.
    `protected void` | `exportText(JRPrintText text, JRExporterGridCell gridCell)` Deprecated.
    `protected java.lang.String` | `getCellTag(JRExporterGridCell gridCell)` Deprecated.
    `protected java.lang.Class<JRHtmlExporterConfiguration>` | `getConfigurationInterface()` Deprecated.
    `protected JRPrintElementIndex` | `getElementIndex(JRExporterGridCell gridCell)` Deprecated.
    `JasperPrint` | `getExportedReport()` Deprecated.
    `java.lang.String` | `getExporterKey()` Deprecated.
    `java.lang.String` | `getExporterPropertiesPrefix()` Deprecated. Returns the properties prefix for the current exporter.
    `java.util.Map<JRExporterParameter,java.lang.Object>` | `getExportParameters()` Deprecated.
    `protected java.lang.String` | `getHyperlinkTarget(JRPrintHyperlink link)` Deprecated.
    `protected java.lang.String` | `getHyperlinkURL(JRPrintHyperlink link)` Deprecated.
    `protected java.lang.Class<JRHtmlReportConfiguration>` | `getItemConfigurationInterface()` Deprecated.
    `protected JRStyledText` | `getStyledText(JRPrintText textElement, boolean setBackcolor)` Deprecated.
    `protected void` | `initExport()` Deprecated.
    `protected void` | `initReport()` Deprecated.
    `protected void` | `loadPxImage()` Deprecated.
    `protected void` | `restoreBackcolor()` Deprecated.
    `protected void` | `setBackcolor(java.awt.Color color)` Deprecated.
    `protected void` | `setJasperReportsContext(JasperReportsContext jasperReportsContext)` Deprecated.
    `protected boolean` | `startHyperlink(JRPrintHyperlink link)` Deprecated.
    `java.lang.String` | `toSizeUnit(float size)` Deprecated.
    `java.lang.String` | `toSizeUnit(int size)` Deprecated. Replaced by `toSizeUnit(float)`.
    `float` | `toZoom(float size)` Deprecated.
    `int` | `toZoom(int size)` Deprecated. Replaced by `toZoom(float)`.
    `protected void` | `writeCellEnd(JRExporterGridCell gridCell)` Deprecated.
    `protected void` | `writeCellStart(JRExporterGridCell gridCell)` Deprecated.
    `protected void` | `writeEmptyCell(JRExporterGridCell cell, int rowHeight)` Deprecated.
    `protected void` | `writeImageAreaCoordinates(int[] coords)` Deprecated.
    `protected void` | `writeImageAreaHyperlink(JRPrintHyperlink hyperlink)` Deprecated.
    `protected void` | `writeImageMap(java.lang.String imageMapName, JRPrintImage image, java.util.List<JRPrintImageAreaHyperlink> imageMapAreas)` Deprecated.

    - ### Methods inherited from class net.sf.jasperreports.engine.export.AbstractHtmlExporter

      `getFontHandler, getImage, getImage, getImageHandler, getImageName, getPrintElementIndex, getResourceHandler, setFontHandler, setImageHandler, setResourceHandler`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `createFilter, defaultParseNumber, ensureInput, ensureJasperReportsContext, getBooleanCellValue, getCurrentConfiguration, getCurrentItemConfiguration, getCurrentJasperPrint, getCustomHandler, getDateCellValue, getDateFormat, getExporterContext, getExporterInput, getExporterOutput, getHyperlinkProducer, getJasperReportsContext, getLocale, getNumberCellValue, getNumberFormat, getOffsetX, getOffsetY, getPageRange, getParameter, getParameters, getPropertiesUtil, getReportContext, getStyledText, getTextFormatFactoryClass, getTextLocale, getTextTimeZone, getTextValue, getTextValueString, reset, resetClassLoader, resetExportContext, restoreElementOffsets, setClassLoader, setConfiguration, setConfiguration, setCurrentExporterInputItem, setExporterInput, setExporterOutput, setFrameElementsOffset, setJasperPrint, setOffset, setOffset, setParameter, setParameters, setReportContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTML_EXPORTER_PROPERTIES_PREFIX

          protected static final java.lang.String HTML_EXPORTER_PROPERTIES_PREFIX

      Deprecated. Replaced by `HtmlExporter.HTML_EXPORTER_PROPERTIES_PREFIX`.
      See Also:
        Constant Field Values

    - #### PROPERTY_IGNORE_HYPERLINK

          public static final java.lang.String PROPERTY_IGNORE_HYPERLINK

      Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_IGNORE_HYPERLINK`.
      See Also:
        Constant Field Values

    - #### HTML_EXPORTER_KEY

          public static final java.lang.String HTML_EXPORTER_KEY

      Deprecated. Replaced by `HtmlExporter.HTML_EXPORTER_KEY`.
      See Also:
        Constant Field Values

    - #### PROPERTY_HTML_CLASS

          public static final java.lang.String PROPERTY_HTML_CLASS

      Deprecated. Replaced by `HtmlExporter.PROPERTY_HTML_CLASS`.
      See Also:
        Constant Field Values

    - #### PROPERTY_HTML_ID

          public static final java.lang.String PROPERTY_HTML_ID

      Deprecated. Replaced by `HtmlExporter.PROPERTY_HTML_ID`.
      See Also:
        Constant Field Values

    - #### PROPERTY_ACCESSIBLE

          public static final java.lang.String PROPERTY_ACCESSIBLE

      Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_ACCESSIBLE`.
      See Also:
        Constant Field Values

    - #### writer

          protected java.io.Writer writer

      Deprecated.

    - #### rendererToImagePathMap

          protected java.util.Map<java.lang.String,java.lang.String> rendererToImagePathMap

      Deprecated.

    - #### imageMaps

          protected java.util.Map<Pair<java.lang.String,java.awt.Rectangle>,java.lang.String> imageMaps

      Deprecated.

    - #### fontsToProcess

          protected java.util.Map<java.lang.String,HtmlFont> fontsToProcess

      Deprecated.

    - #### reportIndex

          protected int reportIndex

      Deprecated.

    - #### pageIndex

          protected int pageIndex

      Deprecated.

    - #### emptyCellStringProvider

          protected JRHtmlExporter.StringProvider emptyCellStringProvider

      Deprecated.

    - #### targetProducerFactory

          protected JRHyperlinkTargetProducerFactory targetProducerFactory

      Deprecated.

    - #### hyperlinkStarted

          protected boolean hyperlinkStarted

      Deprecated.

    - #### thDepth

          protected int thDepth

      Deprecated.

    - #### nature

          protected ExporterNature nature

      Deprecated.

  - ### Constructor Detail

    - #### JRHtmlExporter

          public JRHtmlExporter()

      Deprecated.
      See Also:
        `JRHtmlExporter(JasperReportsContext)`

    - #### JRHtmlExporter

          public JRHtmlExporter(JasperReportsContext jasperReportsContext)

      Deprecated.

  - ### Method Detail

    - #### getConfigurationInterface

          protected java.lang.Class<JRHtmlExporterConfiguration> getConfigurationInterface()

      Deprecated.
      Specified by:
        `getConfigurationInterface` in class `JRAbstractExporter<JRHtmlReportConfiguration,JRHtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### getItemConfigurationInterface

          protected java.lang.Class<JRHtmlReportConfiguration> getItemConfigurationInterface()

      Deprecated.
      Specified by:
        `getItemConfigurationInterface` in class `JRAbstractExporter<JRHtmlReportConfiguration,JRHtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### ensureOutput

          protected void ensureOutput()

      Deprecated.
      Specified by:
        `ensureOutput` in class `JRAbstractExporter<JRHtmlReportConfiguration,JRHtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### setJasperReportsContext

          protected void setJasperReportsContext(JasperReportsContext jasperReportsContext)

      Deprecated.
      Overrides:
        `setJasperReportsContext` in class `JRAbstractExporter<JRHtmlReportConfiguration,JRHtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### exportReport

          public void exportReport()
                            throws JRException

      Deprecated.
      Description copied from interface: `Exporter`
      Performs the export.
      Specified by:
        `exportReport` in interface `Exporter<ExporterInput,JRHtmlReportConfiguration,JRHtmlExporterConfiguration,HtmlExporterOutput>`
      Specified by:
        `exportReport` in class `JRAbstractExporter<JRHtmlReportConfiguration,JRHtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`
      Throws:
        `JRException`

    - #### initExport

          protected void initExport()

      Deprecated.
      Overrides:
        `initExport` in class `JRAbstractExporter<JRHtmlReportConfiguration,JRHtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### initReport

          protected void initReport()

      Deprecated.
      Overrides:
        `initReport` in class `JRAbstractExporter<JRHtmlReportConfiguration,JRHtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### exportReportToWriter

          protected void exportReportToWriter()
                                       throws JRException,
                                              java.io.IOException

      Deprecated.
      Throws:
        `JRException`
        `java.io.IOException`

    - #### exportPage

          protected void exportPage(JRPrintPage page)
                             throws JRException,
                                    java.io.IOException

      Deprecated.
      Throws:
        `JRException`
        `java.io.IOException`

    - #### exportGrid

          protected void exportGrid(JRGridLayout gridLayout,
                        boolean whitePageBackground)
                             throws java.io.IOException,
                                    JRException

      Deprecated.
      Throws:
        `java.io.IOException`
        `JRException`

    - #### writeEmptyCell

          protected void writeEmptyCell(JRExporterGridCell cell,
                            int rowHeight)
                                 throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### exportLine

          protected void exportLine(JRPrintLine line,
                        JRExporterGridCell gridCell)
                             throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### writeCellStart

          protected void writeCellStart(JRExporterGridCell gridCell)
                                 throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### writeCellEnd

          protected void writeCellEnd(JRExporterGridCell gridCell)
                               throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### getCellTag

          protected java.lang.String getCellTag(JRExporterGridCell gridCell)

      Deprecated.

    - #### exportRectangle

          protected void exportRectangle(JRPrintGraphicElement element,
                             JRExporterGridCell gridCell)
                                  throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### exportStyledText

          protected void exportStyledText(JRPrintText printText,
                              JRStyledText styledText,
                              java.lang.String tooltip)
                                   throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### exportStyledTextRun

          protected void exportStyledTextRun(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                                 java.lang.String text,
                                 java.lang.String tooltip,
                                 java.util.Locale locale,
                                 LineSpacingEnum lineSpacing,
                                 java.lang.Float lineSpacingSize,
                                 float lineSpacingFactor,
                                 java.awt.Color backcolor)
                                      throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### exportText

          protected void exportText(JRPrintText text,
                        JRExporterGridCell gridCell)
                             throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### startHyperlink

          protected boolean startHyperlink(JRPrintHyperlink link)
                                    throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### getHyperlinkTarget

          protected java.lang.String getHyperlinkTarget(JRPrintHyperlink link)

      Deprecated.

    - #### getHyperlinkURL

          protected java.lang.String getHyperlinkURL(JRPrintHyperlink link)

      Deprecated.

    - #### endHyperlink

          protected void endHyperlink()
                               throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### appendBorderStyle

          protected boolean appendBorderStyle(JRLineBox box,
                                  java.lang.StringBuffer styleBuffer)

      Deprecated.

    - #### appendPaddingStyle

          protected boolean appendPaddingStyle(JRLineBox box,
                                   java.lang.StringBuffer styleBuffer)

      Deprecated.

    - #### appendBackcolorStyle

          protected java.awt.Color appendBackcolorStyle(JRExporterGridCell gridCell,
                                            java.lang.StringBuffer styleBuffer)

      Deprecated.

    - #### exportImage

          protected void exportImage(JRPrintImage image,
                         JRExporterGridCell gridCell)
                              throws JRException,
                                     java.io.IOException

      Deprecated.
      Throws:
        `JRException`
        `java.io.IOException`

    - #### getElementIndex

          protected JRPrintElementIndex getElementIndex(JRExporterGridCell gridCell)

      Deprecated.

    - #### writeImageMap

          protected void writeImageMap(java.lang.String imageMapName,
                           JRPrintImage image,
                           java.util.List<JRPrintImageAreaHyperlink> imageMapAreas)
                                throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### writeImageAreaCoordinates

          protected void writeImageAreaCoordinates(int[] coords)
                                            throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### writeImageAreaHyperlink

          protected void writeImageAreaHyperlink(JRPrintHyperlink hyperlink)
                                          throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### loadPxImage

          protected void loadPxImage()
                              throws JRException

      Deprecated.
      Throws:
        `JRException`

    - #### exportFrame

          protected void exportFrame(JRPrintFrame frame,
                         JRExporterGridCell gridCell)
                              throws java.io.IOException,
                                     JRException

      Deprecated.
      Throws:
        `java.io.IOException`
        `JRException`

    - #### setBackcolor

          protected void setBackcolor(java.awt.Color color)

      Deprecated.

    - #### restoreBackcolor

          protected void restoreBackcolor()

      Deprecated.

    - #### exportGenericElement

          protected void exportGenericElement(JRGenericPrintElement element,
                                  JRExporterGridCell gridCell,
                                  int rowHeight)
                                       throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### getExportParameters

          public java.util.Map<JRExporterParameter,java.lang.Object> getExportParameters()

      Deprecated.

    - #### getExporterPropertiesPrefix

          public java.lang.String getExporterPropertiesPrefix()

      Deprecated.
      Description copied from class: `JRAbstractExporter`
      Returns the properties prefix for the current exporter.
      Specified by:
        `getExporterPropertiesPrefix` in class `JRAbstractExporter<JRHtmlReportConfiguration,JRHtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`
      Returns:
        the properties prefix for the current exporter

    - #### getExporterKey

          public java.lang.String getExporterKey()

      Deprecated.
      Specified by:
        `getExporterKey` in class `JRAbstractExporter<JRHtmlReportConfiguration,JRHtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### getExportedReport

          public JasperPrint getExportedReport()

      Deprecated.

    - #### toSizeUnit

          public java.lang.String toSizeUnit(float size)

      Deprecated.

    - #### toSizeUnit

          public java.lang.String toSizeUnit(int size)

      Deprecated. Replaced by `toSizeUnit(float)`.

    - #### toZoom

          public float toZoom(float size)

      Deprecated.

    - #### toZoom

          public int toZoom(int size)

      Deprecated. Replaced by `toZoom(float)`.

    - #### getStyledText

          protected JRStyledText getStyledText(JRPrintText textElement,
                                   boolean setBackcolor)

      Deprecated.
      Overrides:
        `getStyledText` in class `JRAbstractExporter<JRHtmlReportConfiguration,JRHtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com